> For the complete documentation index, see [llms.txt](https://docs.umbcheckout.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbcheckout.net/v17/getting-started/affiliate-scheme.md).

# Affiliate Scheme

Earn commission on each license or hosting referral

You can earn 20% from each successful [purchase of either UmbCheckout](https://umbcheckout.net) or any one of the [services offered by UmbHost](https://umbhost.net/affiliate-scheme).

Our scheme is free to join and we haven’t put any limits on how much you can earn.

Once you've [joined](https://www.umbpanel.io) you will be given a unique link to share, you will be able to track clicks and conversions right from within your [UmbPanel](https://www.umbpanel.io) account!

You can [join the Affiliate scheme here](https://www.umbpanel.io) if you have already joined or have a UmbHost account you can [view the affiliate dashboard here](https://www.umbpanel.io).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbcheckout.net/v17/getting-started/affiliate-scheme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
